This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 529209

Summary: PATCH: Tell dracut not to ask for LUKS passwords or activate mdraid sets
Product: [Fedora] Fedora Reporter: Hans de Goede <hdegoede>
Component: livecd-toolsAssignee: Jeremy Katz <katzj>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dcantrell, ddumas, harald, katzj
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-21 18:35:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 473303    
Attachments:
Description Flags
PATCH: Tell dracut not to ask for LUKS passwords or activate mdraid sets none

Description Hans de Goede 2009-10-15 10:09:47 EDT
Created attachment 364916 [details]
PATCH: Tell dracut not to ask for LUKS passwords or activate mdraid sets

By default dracut will try to activate any LUKS devices it finds and will
prompt for passwords for them while looking for the rootfs, and also bring up any mdraid arrays it finds, this is undesirable behaviour for the livecd, so this patch tell it to not do this.

I would really like to see this go into F-12 (I know I am a bit late), note
that if anything this avoids problems as it de-activates some unneeded code
in dracut.
Comment 1 Hans de Goede 2009-10-15 11:27:54 EDT
Adding F12Blocker to get this a blocker bug days review.
Comment 2 Hans de Goede 2009-10-20 02:14:47 EDT
Ping, any progress on this ? The patch is safe and simple, if you could do a build with it included we can then proceed with asking rel-eng to tag it into F-12.
Comment 3 Denise Dumas 2009-10-20 10:39:06 EDT
Warren added yesterday - 

commit bfe8df0560339eedcef2958171eb6b04fe438e76
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Mon Oct 19 15:12:00 2009 -0400

    Tell dracut not to ask for LUKS passwords or activate mdraid sets
    
    By default dracut will try to activate any LUKS devices it finds while
    looking for the rootfs, and bring up any mdraid arrays it finds, this is
    undesirable behaviour for the livecd, to tell it to not do this.

Setting to modified
Comment 4 Jesse Keating 2009-10-21 18:35:36 EDT
Tagged for rawhide.